1. Variants
OrderMesh
  • Introduction to our API
    • Getting Started
    • Product Catalog
    • Webhooks Overview
    • Merchant Notifications Guide
  • User
    • Client
      • Generate Service Client Access Token
    • User
      • Login User by Username and Password
      • Login User with Refresh Token
  • Order
    • OrderItems
      • Search for order items based on various criteria and filters
    • Orders
      • Create a New Order.
      • Search for orders based on various criteria and filters.
      • Create multiple orders
      • Retrieve multiple orders
      • Update multiple orders
      • Retrieve a list of orders
      • Retrieve an order by Order ID.
      • Update order data.
      • Retrieve an order by Safe ID
      • Retrieve order item by Order Item ID
      • Update an item within an order.
      • Cancel Order or order items
      • Change the order status to Customer Care Hold
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order item.
      • Add a Refund Request.
  • Note
    • Notes
      • Create a New Note
      • Search All Notes
      • View Note by ID
      • Update Note
      • Delete Note
      • View Note Audit Logs
  • Catalog
    • Categories
      • View all product categories
      • Create a new category
      • Update category
      • Delete category
      • Get audit logs of a category
    • MerchantCatalog
      • Create a merchant catalog
      • Update a merchant catalog
      • Partially update a merchant catalog
      • Get a list of merchant catalogs
      • Delete a merchant catalog
      • Get a merchant catalog and search variants in it
      • Get a merchant catalog with variants
      • Get a list of variants the merchant can use in accordance with their enabled catalog
      • Search for variants in enabled merchant catalog with fallback to global catalog
      • Get audit logs of a merchant catalog
    • Products
      • View all products
      • Retrieve product variant details
      • Create a new product
      • Search products
      • Bulk create products
      • Bulk update products
      • Update product
      • Delete product
      • Update variant
      • Get audit logs of a product
    • Variants
      • Delete variant
        DELETE
      • Create a variant
        POST
      • Search product variants
        POST
      • Get audit logs of a variant
        GET
    • MerchantVariants
      • Add new variants to a merchant catalog
      • Update a merchant catalog variants
      • Update a merchant catalog by removing variants
  • Shipment
    • Packing Slip
      • Generates a packing slip for a specific shipment by Shipment ID.
    • Shipments
      • Get details of a specific shipment by Shipment ID.
      • Update details of a specific shipment by Shipment ID.
      • Create packages for a specific shipment.
      • Delete shipment with packages.
      • Get all shipments for an order by Order ID.
      • Create shipment for order, vendor, and order items.
      • Get shipment with packages for order and vendor.
      • Get shipment details by Order Item ID.
      • Update a specific shipment package.
      • Delete a specific shipment package.
      • Cancel shipment.
      • Unassign items to shipment.
      • Shipment resubmission to assigned facility.
      • Retry outbound polling for a shipment by publishing an OutboundShipmentUpdate event.
      • Search shipments.
      • Reroute shipment.
      • Rejects a shipment.
      • Bulk reroute shipments.
      • Get shipment audit logs.
      • Get package audit logs.
      • Get message audit logs for shipment updates.
      • Assign Shipment.
  1. Variants

Create a variant

POST
/v1/variants
Vendor Access: Forbidden — This endpoint is not accessible to vendor users.

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Body Params
application/json

Examples

Responses

🟢201
application/json
Created
Body

🟠400
🟠401
🟠403
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.ordermesh.io/catalog/v1/variants' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "id": "73534",
    "productId": "1194",
    "sku": "Mug11oz-White-RedAccent",
    "attributes": [
        {
            "id": "AA9081EC-37A3-43C5-A9D0-9BEC266E77AD",
            "name": "Color",
            "value": "White With Red Accents",
            "valueId": null
        },
        {
            "id": "44E5C8AA-9932-47AC-A5FE-A97278C7279F",
            "name": "Size",
            "value": "11 oz",
            "valueId": null
        }
    ],
    "options": [
        {
            "id": "B81F4D2C-0E58-4F2A-AE10-7C3E2D8F1B45",
            "name": "Gift Wrap",
            "value": "Standard Wrap",
            "valueId": "1F2E3D4C-5B6A-4978-86A5-B4C3D2E1F0A9"
        }
    ],
    "decorations": [
        {
            "area": "Default",
            "width": 2538,
            "height": 945,
            "dpi": 300,
            "method": null,
            "price": null,
            "printImage": null
        }
    ],
    "price": {
        "currencies": null,
        "amount": 7.9,
        "currency": "USD"
    },
    "status": "active",
    "images": [
        "http://cdn.print.io/temp/b372005663144e6699af3c2c58b7ea9bMug_red_PreviewImage.png"
    ],
    "gtin": "1194",
    "upc": "Mug11oz-White-RedAccent",
    "partNumber": "1194",
    "extras": [
        {
            "name": "PimVariantId",
            "value": "PIM-VAR-73534"
        },
        {
            "name": "LegacySku",
            "value": "OLD-SKU-XYZ"
        },
        {
            "name": "WeightOunces",
            "value": "4.2"
        }
    ]
}'
Response Response Example
201 - Example 1
{
    "variantId": "string"
}
Modified at 2026-09-10 16:13:06
Previous
Delete variant
Next
Search product variants
Built with